EmbeddedSolrServer (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.embedded.EmbeddedSolrServer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.embedded
Class EmbeddedSolrServer

    java.lang.Object
      org.apache.solr.client.solrj.SolrServer
          org.apache.solr.client.solrj.embedded.EmbeddedSolrServer

All Implemented Interfaces:
  Serializable

    public class EmbeddedSolrServer

extends SolrServer

SolrServer that connects directly to SolrCore TODO -- this implementation sends the response to XML and then parses it. It *should* be able to convert the response directly into a named list.

Since:
  solr 1.3
Version:
  $Id: EmbeddedSolrServer.java 1240993 2012-02-06 12:04:58Z simonw $
See Also:
  Serialized Form

Field Summary
`protected CoreContainer` | `coreContainer`
`protected String` | `coreName`

Constructor Summary
`EmbeddedSolrServer(CoreContainer coreContainer, String coreName)` Creates a SolrServer.
`EmbeddedSolrServer(SolrCore core)` Deprecated.

Method Summary
`CoreContainer` | `getCoreContainer()` Getter method for the CoreContainer
`NamedList<Object>` | `getParsedResponse(SolrQueryRequest req, SolrQueryResponse rsp)` Deprecated. use `BinaryResponseWriter.getParsedResponse(SolrQueryRequest, SolrQueryResponse)`
`NamedList<Object>` | `request(SolrRequest request)` SolrServer implementations need to implement how a request is actually processed
`void` | `shutdown()` Shutdown all cores within the EmbeddedSolrServer instance

Methods inherited from class org.apache.solr.client.solrj.SolrServer
`add, add, add, add, addBean, addBean, addBeans, addBeans, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, getBinder, optimize, optimize, optimize, ping, query, query, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coreContainer

    protected final CoreContainer coreContainer

### coreName

    protected final String coreName

Constructor Detail

### EmbeddedSolrServer

    @Deprecated
    public EmbeddedSolrServer(SolrCore core)

  Deprecated.

  Use the other constructor using a CoreContainer and a name.

  Parameters:
    `core` -

### EmbeddedSolrServer

    public EmbeddedSolrServer(CoreContainer coreContainer,
                              String coreName)

  Creates a SolrServer.

  Parameters:
    `coreContainer` - the core container
    `coreName` - the core name

Method Detail

### request

    public NamedList<Object> request(SolrRequest request)
                              throws SolrServerException,
                                     IOException

  Description copied from class: `SolrServer`
  SolrServer implementations need to implement how a request is actually processed

  Specified by:
    `request` in class `SolrServer`
  Throws:
    `SolrServerException`
    `IOException`

### getParsedResponse

    @Deprecated
    public NamedList<Object> getParsedResponse(SolrQueryRequest req,
                                                          SolrQueryResponse rsp)

  Deprecated. use `BinaryResponseWriter.getParsedResponse(SolrQueryRequest, SolrQueryResponse)`

  Parameters:
    `req` -
    `rsp` -
  Returns:
    a response object equivalent to what you get from the XML/JSON/javabin parser. Documents become SolrDocuments, DocList becomes SolrDocumentList etc.

### shutdown

    public void shutdown()

  Shutdown all cores within the EmbeddedSolrServer instance

### getCoreContainer

    public CoreContainer getCoreContainer()

  Getter method for the CoreContainer

  Returns:
    the core container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD